From 42a0f14f1fdb841faec2b035012c6bba9864b60e Mon Sep 17 00:00:00 2001
From: =?utf-8?q?Rafa=C5=82=20Mi=C5=82ecki?= <zajec5@gmail.com>
Date: Fri, 22 May 2009 11:24:12 +0200
Subject: [PATCH] PM: get rid of EnableForced field

We can use ForcedEngineClock to determine if we should change engine clock.
It's set to 0 on init and some bigger value if we decide to downclock. It's
unnecessary and would be pain in future to keep fields like ForceEngine,
ForceMemory, ForceLanes, etc.
---
 src/rhd_pm.c |   13 ++++++-------
 src/rhd_pm.h |    3 +--
 2 files changed, 7 insertions(+), 9 deletions(-)

diff --git a/src/rhd_pm.c b/src/rhd_pm.c
index a5c07f8..319fc40 100644
--- a/src/rhd_pm.c
+++ b/src/rhd_pm.c
@@ -47,7 +47,6 @@ RHDPmInit(RHDPtr rhdPtr)
     Pm->scrnIndex = rhdPtr->scrnIndex;
 
     Pm->ForcedEngineClock = 0;
-    Pm->EnableForced = FALSE;
 
     Pm->Stored = FALSE;
 
@@ -56,7 +55,6 @@ RHDPmInit(RHDPtr rhdPtr)
             unsigned long defaultEngine = RHDGetDefaultEngineClock(rhdPtr);
             if (defaultEngine) {
                 Pm->ForcedEngineClock = defaultEngine / 2;
-                Pm->EnableForced = TRUE;
                 xf86DrvMsg(rhdPtr->scrnIndex, X_INFO, "ForceLowPowerMode: "
                            "calculated engine clock at %ldHz\n", 
                            Pm->ForcedEngineClock);
@@ -69,7 +67,6 @@ RHDPmInit(RHDPtr rhdPtr)
         }
         else {
             Pm->ForcedEngineClock = rhdPtr->lowPowerModeEngineClock.val.integer;
-            Pm->EnableForced = TRUE;
             xf86DrvMsg(rhdPtr->scrnIndex, X_INFO, "ForceLowPowerMode: forced "
                        "engine clock at %ldHz\n", Pm->ForcedEngineClock);
         }
@@ -88,14 +85,16 @@ void
 RHDPmSetClock(RHDPtr rhdPtr)
 {
     struct rhdPm *Pm = rhdPtr->Pm;
-    if (!Pm || !Pm->EnableForced) return;
+    if (!Pm) return;
 
     RHDFUNC(Pm);
 
-    RHDSetEngineClock(rhdPtr, Pm->ForcedEngineClock);
+    if (Pm->ForcedEngineClock) {
+        RHDSetEngineClock(rhdPtr, Pm->ForcedEngineClock);
 
-    /* Induce logging of new engine clock */
-    RHDGetEngineClock(rhdPtr);
+        /* Induce logging of new engine clock */
+        RHDGetEngineClock(rhdPtr);
+    }
 }
 
 /*
diff --git a/src/rhd_pm.h b/src/rhd_pm.h
index 0dd3348..4a705af 100644
--- a/src/rhd_pm.h
+++ b/src/rhd_pm.h
@@ -28,9 +28,8 @@ struct rhdPm {
 	int scrnIndex;
 
 	unsigned long ForcedEngineClock;
-	unsigned long StoredEngineClock;
 
-	Bool EnableForced;
+	unsigned long StoredEngineClock;
 	Bool Stored;
 };
 
-- 
1.6.0.2

